apiVersion: operators.coreos.com/v1alpha1
kind: InstallPlan
metadata:
  creationTimestamp: "2020-12-11T11:47:07Z"
  generateName: install-
  generation: 1
  labels:
    operators.coreos.com/fuse-console.mmuzikar: ""
  managedFields:
  - apiVersion: operators.coreos.com/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:operators.coreos.com/fuse-console.mmuzikar: {}
    manager: olm
    operation: Update
    time: "2020-12-11T11:47:07Z"
  - apiVersion: operators.coreos.com/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:generateName: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"aa167853-65e6-403c-a5ff-c451271e6f92"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        .: {}
        f:approval: {}
        f:approved: {}
        f:clusterServiceVersionNames: {}
        f:generation: {}
      f:status:
        .: {}
        f:bundleLookups: {}
        f:catalogSources: {}
        f:conditions: {}
        f:phase: {}
        f:plan: {}
    manager: catalog
    operation: Update
    time: "2020-12-11T11:47:18Z"
  name: install-vq5p5
  namespace: mmuzikar
  ownerReferences:
  - apiVersion: operators.coreos.com/v1alpha1
    blockOwnerDeletion: false
    controller: false
    kind: Subscription
    name: fuse-console
    uid: aa167853-65e6-403c-a5ff-c451271e6f92
  resourceVersion: "1530973"
  selfLink: /apis/operators.coreos.com/v1alpha1/namespaces/mmuzikar/installplans/install-vq5p5
  uid: d36835c7-d714-4ca0-9e49-92ae3b4f3770
spec:
  approval: Automatic
  approved: true
  clusterServiceVersionNames:
  - fuse-console.v7.8.0
  generation: 2
status:
  bundleLookups:
  - catalogSourceRef:
      name: upgrade-test
      namespace: openshift-marketplace
    identifier: fuse-console.v7.8.0
    path: registry-proxy.engineering.redhat.com/rh-osbs/fuse7-fuse-console-operator-metadata:1.8-4
    properties: '{"properties":[{"type":"olm.gvk","value":{"group":"hawt.io","kind":"Hawtio","version":"v1alpha1"}},{"type":"olm.package","value":{"packageName":"fuse-console","version":"7.8.0"}}]}'
    replaces: fuse-console.v7.7.1
  catalogSources: []
  conditions:
  - lastTransitionTime: "2020-12-11T11:47:18Z"
    lastUpdateTime: "2020-12-11T11:47:18Z"
    message: 'error validating existing CRs agains new CRD''s schema: hawtios.hawt.io:
      error validating custom resource against new schema &apiextensions.CustomResourceValidation{OpenAPIV3Schema:(*apiextensions.JSONSchemaProps)(0xc003b63a00)}:
      [].spec.type: Unsupported value: "Cluster": supported values: "cluster", "namespace"'
    reason: InstallComponentFailed
    status: "False"
    type: Installed
  phase: Failed
  plan:
  - resolving: fuse-console.v7.8.0
    resource:
      group: operators.coreos.com
      kind: ClusterServiceVersion
      manifest: '{"kind":"ConfigMap","name":"4f2249705f58eb342008d85d57574799bb41ed8c215fb70ec23522f1a8e4c9c","namespace":"openshift-marketplace","catalogSourceName":"upgrade-test","catalogSourceNamespace":"openshift-marketplace","replaces":"fuse-console.v7.7.1","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"hawt.io\",\"kind\":\"Hawtio\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"fuse-console\",\"version\":\"7.8.0\"}}]}"}'
      name: fuse-console.v7.8.0
      sourceName: upgrade-test
      sourceNamespace: openshift-marketplace
      version: v1alpha1
    status: Created
  - resolving: fuse-console.v7.8.0
    resource:
      group: apiextensions.k8s.io
      kind: CustomResourceDefinition
      manifest: '{"kind":"ConfigMap","name":"4f2249705f58eb342008d85d57574799bb41ed8c215fb70ec23522f1a8e4c9c","namespace":"openshift-marketplace","catalogSourceName":"upgrade-test","catalogSourceNamespace":"openshift-marketplace","replaces":"fuse-console.v7.7.1","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"hawt.io\",\"kind\":\"Hawtio\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"fuse-console\",\"version\":\"7.8.0\"}}]}"}'
      name: hawtios.hawt.io
      sourceName: upgrade-test
      sourceNamespace: openshift-marketplace
      version: v1beta1
    status: Unknown
  - resolving: fuse-console.v7.8.0
    resource:
      group: ""
      kind: ServiceAccount
      manifest: '{"kind":"ConfigMap","name":"4f2249705f58eb342008d85d57574799bb41ed8c215fb70ec23522f1a8e4c9c","namespace":"openshift-marketplace","catalogSourceName":"upgrade-test","catalogSourceNamespace":"openshift-marketplace","replaces":"fuse-console.v7.7.1","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"hawt.io\",\"kind\":\"Hawtio\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"fuse-console\",\"version\":\"7.8.0\"}}]}"}'
      name: fuse-console-operator
      sourceName: upgrade-test
      sourceNamespace: openshift-marketplace
      version: v1
    status: Unknown
  - resolving: fuse-console.v7.8.0
    resource:
      group: rbac.authorization.k8s.io
      kind: Role
      manifest: '{"kind":"ConfigMap","name":"4f2249705f58eb342008d85d57574799bb41ed8c215fb70ec23522f1a8e4c9c","namespace":"openshift-marketplace","catalogSourceName":"upgrade-test","catalogSourceNamespace":"openshift-marketplace","replaces":"fuse-console.v7.7.1","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"hawt.io\",\"kind\":\"Hawtio\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"fuse-console\",\"version\":\"7.8.0\"}}]}"}'
      name: fuse-console.v7.8.0-fuse-console-operator-5468c7657d
      sourceName: upgrade-test
      sourceNamespace: openshift-marketplace
      version: v1
    status: Unknown
  - resolving: fuse-console.v7.8.0
    resource:
      group: rbac.authorization.k8s.io
      kind: RoleBinding
      manifest: '{"kind":"ConfigMap","name":"4f2249705f58eb342008d85d57574799bb41ed8c215fb70ec23522f1a8e4c9c","namespace":"openshift-marketplace","catalogSourceName":"upgrade-test","catalogSourceNamespace":"openshift-marketplace","replaces":"fuse-console.v7.7.1","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"hawt.io\",\"kind\":\"Hawtio\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"fuse-console\",\"version\":\"7.8.0\"}}]}"}'
      name: fuse-console.v7.8.0-fuse-console-operator-5468c7657d
      sourceName: upgrade-test
      sourceNamespace: openshift-marketplace
      version: v1
    status: Unknown
  - resolving: fuse-console.v7.8.0
    resource:
      group: rbac.authorization.k8s.io
      kind: ClusterRole
      manifest: '{"kind":"ConfigMap","name":"4f2249705f58eb342008d85d57574799bb41ed8c215fb70ec23522f1a8e4c9c","namespace":"openshift-marketplace","catalogSourceName":"upgrade-test","catalogSourceNamespace":"openshift-marketplace","replaces":"fuse-console.v7.7.1","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"hawt.io\",\"kind\":\"Hawtio\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"fuse-console\",\"version\":\"7.8.0\"}}]}"}'
      name: fuse-console.v7.8.0-696db5fb99
      sourceName: upgrade-test
      sourceNamespace: openshift-marketplace
      version: v1
    status: Unknown
  - resolving: fuse-console.v7.8.0
    resource:
      group: rbac.authorization.k8s.io
      kind: ClusterRoleBinding
      manifest: '{"kind":"ConfigMap","name":"4f2249705f58eb342008d85d57574799bb41ed8c215fb70ec23522f1a8e4c9c","namespace":"openshift-marketplace","catalogSourceName":"upgrade-test","catalogSourceNamespace":"openshift-marketplace","replaces":"fuse-console.v7.7.1","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"hawt.io\",\"kind\":\"Hawtio\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"fuse-console\",\"version\":\"7.8.0\"}}]}"}'
      name: fuse-console.v7.8.0-696db5fb99
      sourceName: upgrade-test
      sourceNamespace: openshift-marketplace
      version: v1
    status: Unknown
